Installments
Get Installments Plan by ID
Retrieves the configuration details of a specific installment plan by its code
GET
/
installments-plans
/
{installment_code}
Get Installments Plan by ID
curl --request GET \
--url https://api-sandbox.y.uno/v1/installments-plans/{installment_code} \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/installments-plans/{installment_code}"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/installments-plans/{installment_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "4d573425-33f9-4c46-b009-2c7e749b0ec7",
"name": "plan_007",
"account_id": [
"f7c5fe77-721b-49c2-84d3-957748df3c2c"
],
"merchant_reference": "Test",
"installments_plan": [
{
"installment": 1,
"rate": 1,
"provider_id": "",
"amount": {
"currency": "USD",
"value": "0",
"total_value": "0"
}
},
{
"installment": 3,
"rate": 1,
"provider_id": "",
"financial_costs": [
{
"type": "CFT",
"rate": 45.25,
"formatted_value": "45,25%"
},
{
"type": "TEA",
"rate": 38.5,
"formatted_value": "38,50%"
}
],
"amount": {
"currency": "USD",
"value": "0",
"total_value": "0"
}
},
{
"installment": 6,
"rate": 1,
"provider_id": "",
"amount": {
"currency": "USD",
"value": "0",
"total_value": "0"
}
},
{
"installment": 9,
"rate": 1,
"provider_id": "",
"amount": {
"currency": "USD",
"value": "0",
"total_value": "0"
}
},
{
"installment": 12,
"rate": 1,
"provider_id": "",
"amount": {
"currency": "USD",
"value": "0",
"total_value": "0"
}
}
],
"iin": null,
"country_code": "US",
"first_installment_deferral": 0,
"amount": {
"Currency": "USD",
"min_value": 0,
"max_value": 100000000
},
"availability": {
"start_at": "2023-09-12T00:00:00Z",
"finish_at": "2030-09-20T00:00:00Z"
},
"created_at": "2023-10-11T17:52:31.886178Z",
"updated_at": "2023-10-11T17:52:31.886178Z",
"payment_method_type": "NU_PAY_ENROLLMENT"
}
]{}The Get Installments Plan API lets you retrieve detailed information about an existing installment plan. This includes the plan’s installment options, billing frequency, amount limits, and other relevant details.
Use this endpoint to fetch the current configuration of a specific installment plan.
Authorizations
Path Parameters
Identifier of the installment plan.
Response
200
Example:
"4d573425-33f9-4c46-b009-2c7e749b0ec7"
Example:
"plan_007"
Example:
"Test"
Show child attributes
Show child attributes
Example:
"US"
Example:
0
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2023-10-11T17:52:31.886178Z"
Example:
"2023-10-11T17:52:31.886178Z"
Example:
"NU_PAY_ENROLLMENT"
Was this page helpful?
Previous
Get Installments PlansRetrieves the list of installment plans configured for a specific account
Next
⌘I
Get Installments Plan by ID
